#include "DeerRender/Texture.h"

namespace Deer {
	Scope<Texture> ResourceBuilder<Texture>::buildResource(const BaseDataType& baseData) {
		Texture* texture = Texture2D::create(baseData.getData(), baseData.getWidth(), baseData.getHeight(), (int)baseData.getTextureFormat());
		return Scope<Texture>(texture);
	}
} // namespace Deer